Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
Ipopt::OptimalityErrorConvergenceCheck Class Reference

Brief Class Description. More...

`#include <IpOptErrorConvCheck.hpp>`

Inheritance diagram for Ipopt::OptimalityErrorConvergenceCheck:
[legend]

## Public Member Functions
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)
| overloaded from AlgorithmStrategyObject More...
virtual ConvergenceStatus | CheckConvergence (bool call_intermediate_callback=true)
| Overloaded convergence check. More...
virtual bool | CurrentIsAcceptable ()
| Auxilliary function for testing whether current iterate satisfies the acceptable level of optimality. More...
Constructors/Destructors
| OptimalityErrorConvergenceCheck ()
| Default Constructor. More...
virtual | ~OptimalityErrorConvergenceCheck ()
| Default destructor. More...
Public Member Functions inherited from Ipopt::ConvergenceCheck
| ConvergenceCheck ()
| Constructor. More...
virtual | ~ConvergenceCheck ()
| Default destructor. More...
Public Member Functions inherited from Ipopt::AlgorithmStrategyObject
bool | Initialize (const Journalist &jnlst, IpoptNLP &ip_nlp, IpoptData &ip_data, IpoptCalculatedQuantities &ip_cq, const OptionsList &options, const std::string &prefix)
| This method is called every time the algorithm starts again - it is used to reset any internal state. More...
bool | ReducedInitialize (const Journalist &jnlst, const OptionsList &options, const std::string &prefix)
| Reduced version of the Initialize method, which does not require special Ipopt information. More...
| AlgorithmStrategyObject ()
| Default Constructor. More...
virtual | ~AlgorithmStrategyObject ()
| Default Destructor. More...
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const

## Static Public Member Functions
static void | RegisterOptions (SmartPtr< RegisteredOptions > roptions)
| Methods for IpoptType. More...

## Protected Attributes
Algorithmic parameters
Index | max_iterations_
| Maximal number of iterations. More...
Number | dual_inf_tol_
| Tolerance on unscaled dual infeasibility. More...
Number | constr_viol_tol_
| Tolerance on unscaled constraint violation. More...
Number | compl_inf_tol_
| Tolerance on unscaled complementarity. More...
Index | acceptable_iter_
| Number of iterations with acceptable level of accuracy, after which the algorithm terminates. More...
Number | acceptable_tol_
| Acceptable tolerance for the problem to terminate earlier if algorithm seems stuck or cycling. More...
Number | acceptable_dual_inf_tol_
| Acceptable tolerance on unscaled dual infeasibility. More...
Number | acceptable_constr_viol_tol_
| Acceptable tolerance on unscaled constraint violation. More...
Number | acceptable_compl_inf_tol_
| Acceptable tolerance on unscaled complementarity. More...
Number | acceptable_obj_change_tol_
| Acceptable tolerance for relative objective function change from iteratoin to iteration. More...
Number | diverging_iterates_tol_
| Threshold for primal iterates for divergence test. More...
Number | mu_target_
| Desired value of the barrier parameter. More...
Number | max_cpu_time_
| Upper bound on CPU time. More...

## Private Member Functions
Default Compiler Generated Methods (Hidden to avoid
implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| OptimalityErrorConvergenceCheck (const OptimalityErrorConvergenceCheck &)
| Copy Constructor. More...
void | operator= (const OptimalityErrorConvergenceCheck &)
| Overloaded Equals Operator. More...

## Private Attributes
Index | acceptable_counter_
| Counter for successive iterations in which acceptability criteria are met. More...
Number | last_obj_val_
| Value of the objective function from last iteration. More...
Number | curr_obj_val_
| Value of the objective function from current iteration. More...
Index | last_obj_val_iter_
| Iteration counter for which last_obj_val most recently updated. More...

## Additional Inherited Members
Public Types inherited from Ipopt::ConvergenceCheck
enum | ConvergenceStatus { CONTINUE, CONVERGED, CONVERGED_TO_ACCEPTABLE_POINT, MAXITER_EXCEEDED, CPUTIME_EXCEEDED, DIVERGING, USER_STOP, FAILED }
| Convergence return enum. More...
Protected Member Functions inherited from Ipopt::AlgorithmStrategyObject
const Journalist & | Jnlst () const
IpoptNLP & | IpNLP () const
IpoptData & | IpData () const
IpoptCalculatedQuantities & | IpCq () const
bool | HaveIpData () const

## Detailed Description

Brief Class Description.

Detailed Class Description.

Definition at line 20 of file IpOptErrorConvCheck.hpp.

## Constructor & Destructor Documentation

Ipopt::OptimalityErrorConvergenceCheck::OptimalityErrorConvergenceCheck | ( |  | ) |

Default Constructor.

virtual Ipopt::OptimalityErrorConvergenceCheck::~OptimalityErrorConvergenceCheck | ( |  | ) |
| virtual

Default destructor.

Ipopt::OptimalityErrorConvergenceCheck::OptimalityErrorConvergenceCheck | ( | const OptimalityErrorConvergenceCheck & |  | ) |
| private

Copy Constructor.

## Member Function Documentation

virtual bool Ipopt::OptimalityErrorConvergenceCheck::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix
| ) |  |
| virtual

overloaded from AlgorithmStrategyObject

Implements Ipopt::ConvergenceCheck.

Reimplemented in Ipopt::RestoFilterConvergenceCheck, Ipopt::RestoPenaltyConvergenceCheck, and Ipopt::RestoConvergenceCheck.

virtual ConvergenceStatus Ipopt::OptimalityErrorConvergenceCheck::CheckConvergence | ( | bool | call_intermediate_callback = `true` | ) |
| virtual

Overloaded convergence check.

Implements Ipopt::ConvergenceCheck.

Reimplemented in Ipopt::RestoConvergenceCheck.

virtual bool Ipopt::OptimalityErrorConvergenceCheck::CurrentIsAcceptable | ( |  | ) |
| virtual

Auxilliary function for testing whether current iterate satisfies the acceptable level of optimality.

Implements Ipopt::ConvergenceCheck.

static void Ipopt::OptimalityErrorConvergenceCheck::RegisterOptions | ( | SmartPtr< RegisteredOptions > | roptions | ) |
| static

Methods for IpoptType.

void Ipopt::OptimalityErrorConvergenceCheck::operator= | ( | const OptimalityErrorConvergenceCheck & |  | ) |
| private

Overloaded Equals Operator.

## Member Data Documentation

Index Ipopt::OptimalityErrorConvergenceCheck::max_iterations_
| protected

Maximal number of iterations.

Definition at line 53 of file IpOptErrorConvCheck.hpp.

Number Ipopt::OptimalityErrorConvergenceCheck::dual_inf_tol_
| protected

Tolerance on unscaled dual infeasibility.

Definition at line 55 of file IpOptErrorConvCheck.hpp.

Number Ipopt::OptimalityErrorConvergenceCheck::constr_viol_tol_
| protected

Tolerance on unscaled constraint violation.

Definition at line 57 of file IpOptErrorConvCheck.hpp.

Number Ipopt::OptimalityErrorConvergenceCheck::compl_inf_tol_
| protected

Tolerance on unscaled complementarity.

Definition at line 59 of file IpOptErrorConvCheck.hpp.

Index Ipopt::OptimalityErrorConvergenceCheck::acceptable_iter_
| protected

Number of iterations with acceptable level of accuracy, after which the algorithm terminates.

If 0, this heuristic is disabled.

Definition at line 63 of file IpOptErrorConvCheck.hpp.

Number Ipopt::OptimalityErrorConvergenceCheck::acceptable_tol_
| protected

Acceptable tolerance for the problem to terminate earlier if algorithm seems stuck or cycling.

Definition at line 66 of file IpOptErrorConvCheck.hpp.

Number Ipopt::OptimalityErrorConvergenceCheck::acceptable_dual_inf_tol_
| protected

Acceptable tolerance on unscaled dual infeasibility.

Definition at line 68 of file IpOptErrorConvCheck.hpp.

Number Ipopt::OptimalityErrorConvergenceCheck::acceptable_constr_viol_tol_
| protected

Acceptable tolerance on unscaled constraint violation.

Definition at line 70 of file IpOptErrorConvCheck.hpp.

Number Ipopt::OptimalityErrorConvergenceCheck::acceptable_compl_inf_tol_
| protected

Acceptable tolerance on unscaled complementarity.

Definition at line 72 of file IpOptErrorConvCheck.hpp.

Number Ipopt::OptimalityErrorConvergenceCheck::acceptable_obj_change_tol_
| protected

Acceptable tolerance for relative objective function change from iteratoin to iteration.

Definition at line 75 of file IpOptErrorConvCheck.hpp.

Number Ipopt::OptimalityErrorConvergenceCheck::diverging_iterates_tol_
| protected

Threshold for primal iterates for divergence test.

Definition at line 77 of file IpOptErrorConvCheck.hpp.

Number Ipopt::OptimalityErrorConvergenceCheck::mu_target_
| protected

Desired value of the barrier parameter.

Definition at line 79 of file IpOptErrorConvCheck.hpp.

Number Ipopt::OptimalityErrorConvergenceCheck::max_cpu_time_
| protected

Upper bound on CPU time.

Definition at line 81 of file IpOptErrorConvCheck.hpp.

Index Ipopt::OptimalityErrorConvergenceCheck::acceptable_counter_
| private

Counter for successive iterations in which acceptability criteria are met.

Definition at line 100 of file IpOptErrorConvCheck.hpp.

Number Ipopt::OptimalityErrorConvergenceCheck::last_obj_val_
| private

Value of the objective function from last iteration.

This is for accpetable_obj_change_tol.

Definition at line 104 of file IpOptErrorConvCheck.hpp.

Number Ipopt::OptimalityErrorConvergenceCheck::curr_obj_val_
| private

Value of the objective function from current iteration.

This is for accpetable_obj_change_tol.

Definition at line 108 of file IpOptErrorConvCheck.hpp.

Index Ipopt::OptimalityErrorConvergenceCheck::last_obj_val_iter_
| private

Iteration counter for which last_obj_val most recently updated.

Definition at line 111 of file IpOptErrorConvCheck.hpp.

The documentation for this class was generated from the following file:

- src/Algorithm/IpOptErrorConvCheck.hpp